Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

[1.7.2] CubeX2's Mods - All mods available for 1.7.2

smp chest furnaces custom stuff forge chest transporter

  • Please log in to reply
6654 replies to this topic

#4841

Flamarow

Posted 13 January 2013 - 10:48 PM

View Postwiiv, on 13 January 2013 - 09:22 PM, said:

Spoiler:

I'm getting this error with the new version 0.9.8. of CS2, can you help me?
I just tested CS2 0.9.8 and I am not getting any error using just minecraft 1.4.7 and CS2. Looking at your error, I noticed you have tons of mods that are still 1.4.6. If that is the case, I recommend removing or updating those mods. If that is not the case, then I recommend updating your version of forge and testing again.

Register or log in to remove.

#4842

Leichenengel
  • Location: Germany
  • Minecraft: Look at my name
  • Xbox:Ain't got one

Posted 13 January 2013 - 11:23 PM

Sorry in case I ask this again - searched the topic and kind of couldn'T find anything about it so:

I today finally updated my 1.4.5 MC to 1.4.7

I wondered if ALL the mods in here work with 1.4.7

The other thing is: I plan to use SK's MC-Launcher from today on, so I am also wondering if your mods are compatible with that launcher or if there are special installation steps to be followed. I wouldn't want to abandon the Multi-Page-Chest and the wholeTreeAxe - The chest transporter is also useful though I could live without it.

Do you want Kitchen Furniture&Devices in Vanilla? Discuss here: http://www.minecraft...re-and-devices/


#4843

kilirion

Posted 13 January 2013 - 11:38 PM

Can add changer drops vanila blocks?

#4844

wiiv
    wiiv

    Gold Miner

  • Members
  • 376 posts

Posted 13 January 2013 - 11:53 PM

I was able to solve the previous error. Now I'm getting this one:

Spoiler:

Posted Image


#4845

TheLordofNyrin

Posted 14 January 2013 - 03:01 AM

your custom stuff 2 version for 1.4.6 is missing on the old version section of downloads, can you please upload a link to download it :3

#4846

Flamarow

Posted 14 January 2013 - 08:34 AM

View PostLeichenengel, on 13 January 2013 - 11:23 PM, said:

Sorry in case I ask this again - searched the topic and kind of couldn'T find anything about it so:

I today finally updated my 1.4.5 MC to 1.4.7

I wondered if ALL the mods in here work with 1.4.7

The other thing is: I plan to use SK's MC-Launcher from today on, so I am also wondering if your mods are compatible with that launcher or if there are special installation steps to be followed. I wouldn't want to abandon the Multi-Page-Chest and the wholeTreeAxe - The chest transporter is also useful though I could live without it.
From what I am reading in the OP, only CS2 has been updated for 1.4.7 so far. If you want to test it, feel free to, but you shouldn't expect much.

About SK's MC-Launcher: The page for SK's Launcher says that it most mods should install with no problems, but if there is a problem through the launcher, to post it on SK's launcher forum page (not here).

View Postwiiv, on 13 January 2013 - 11:53 PM, said:

I was able to solve the previous error. Now I'm getting this one:

Spoiler:
Why the hell is it looking for recipes123.txt? Also, I still see 1.4.6 labels on the mods. Please tell me if you are able to run minecraft without Custom Stuff.

#4847

tonnic
    tonnic

    Zombie Killer

  • Curse Premium
  • Curse Premium
  • 191 posts

Posted 14 January 2013 - 10:04 AM

What happens if you try and use the chest transporter on a personal safe?

#4848

wiiv
    wiiv

    Gold Miner

  • Members
  • 376 posts

Posted 14 January 2013 - 10:26 AM

View PostFlamarow, on 14 January 2013 - 08:34 AM, said:

Why the hell is it looking for recipes123.txt? Also, I still see 1.4.6 labels on the mods. Please tell me if you are able to run minecraft without Custom Stuff.

I am able to run minecraft with CS2 0.9.7 or without CS2 at all, I only get the errors when adding CS2 0.9.8.. Thanks for the help. :)

Posted Image


#4849

CubeX2
    CubeX2

    Lapis Lazuli Collector

  • Members
  • 977 posts
  • Location: Germany

Posted 14 January 2013 - 12:43 PM

View Postwiiv, on 13 January 2013 - 11:53 PM, said:

I was able to solve the previous error. Now I'm getting this one:

Spoiler:
I'll release an update that fixes this later today.

View PostTheLordofNyrin, on 14 January 2013 - 03:01 AM, said:

your custom stuff 2 version for 1.4.6 is missing on the old version section of downloads, can you please upload a link to download it :3
It is now available in the old version section.

View Posttonnic, on 14 January 2013 - 10:04 AM, said:

What happens if you try and use the chest transporter on a personal safe?
Nothing happens.

I'm on twitter: @CubeX2_. Follow me for upcoming features and other stuff ;).

Posted Image


#4850

Leichenengel
  • Location: Germany
  • Minecraft: Look at my name
  • Xbox:Ain't got one

Posted 14 January 2013 - 02:02 PM

View PostFlamarow, on 14 January 2013 - 08:34 AM, said:

From what I am reading in the OP, only CS2 has been updated for 1.4.7 so far. If you want to test it, feel free to, but you shouldn't expect much.

About SK's MC-Launcher: The page for SK's Launcher says that it most mods should install with no problems, but if there is a problem through the launcher, to post it on SK's launcher forum page (not here).


Why the hell is it looking for recipes123.txt? Also, I still see 1.4.6 labels on the mods. Please tell me if you are able to run minecraft without Custom Stuff.

I see - well I guess I will wait until his other mods update before I try them :) I first need to find a way to get Forge working with that Luncher without Forge 3/4 of my mods won't work anyways :lol: Thanks for your support

Do you want Kitchen Furniture&Devices in Vanilla? Discuss here: http://www.minecraft...re-and-devices/


#4851

wiiv
    wiiv

    Gold Miner

  • Members
  • 376 posts

Posted 14 January 2013 - 10:45 PM

I'm getting some errors with the "removeRecipe" function that were not happening in the previous version of CS2 (0.9.7). Can you look into this? Thanks.

Posted Image


#4852

Flamarow

Posted 15 January 2013 - 05:16 AM

View PostLeichenengel, on 14 January 2013 - 02:02 PM, said:

I see - well I guess I will wait until his other mods update before I try them Posted Image I first need to find a way to get Forge working with that Luncher without Forge 3/4 of my mods won't work anyways Posted Image Thanks for your support
I actually just tested and found out that 1.4.6 mods work well with minecraft 1.4.7. I am currently using the 1.4.6 version of redpower and NEI along side the 1.4.7 version of CS2. This means none of the mods in the OP technically need updated, it would just be less confusing if marked 1.4.7...


View Postwiiv, on 14 January 2013 - 10:45 PM, said:

I'm getting some errors with the "removeRecipe" function that were not happening in the previous version of CS2 (0.9.7). Can you look into this? Thanks.
Please include the exact error and the file or lines the error refers to. This helps both with narrowing down errors and fixing odd mistakes that somehow cause no error in one version but cause errors in another. Additionally, it makes repeating the error much easier to do. This potentially means fixing errors faster.

Bug Report: Apparently the addition of the .ini file has somehow broken the ability of CS2 to use zipped files for mods. The same mod that works normally when unzipped in a folder causes a crash when in a zip file. Here is the crash log from one of my test of this:
Spoiler:
Note that this happens regardless of if the config.ini file is included in the zip file.

#4853

Leichenengel
  • Location: Germany
  • Minecraft: Look at my name
  • Xbox:Ain't got one

Posted 15 January 2013 - 02:04 PM

View PostFlamarow, on 15 January 2013 - 05:16 AM, said:

I actually just tested and found out that 1.4.6 mods work well with minecraft 1.4.7. I am currently using the 1.4.6 version of redpower and NEI along side the 1.4.7 version of CS2. This means none of the mods in the OP technically need updated, it would just be less confusing if marked 1.4.7...

I see - I will try it out then Posted Image

EDIT:

I use Magic Launcher and when I add the mods via the launcher it says "No mods found" and when I try anyways MC crashes. I had the same issue with another mod so I guess these mods won't work with a launcher because if I inject them manually it will crash as well. Too bad...

I got Forge working with ML - it says there is one error with it but it still works. For example Biomes o' Plenty, Jammy's Furniture and Mo'Creatures rely on Forge and work just fine when being installed and used with the launcher. But some of my mods that also require Forge show as "no mod found" when being installed via the launcher and also crash MC...

There must be a matter why some Forge mods work and some don't *shrug*

If interested here's a log from ML:

Spoiler:

The funny thing is - though it has these errors it still works unless I add certain mods - for example Cube's mods ^^

Do you want Kitchen Furniture&Devices in Vanilla? Discuss here: http://www.minecraft...re-and-devices/


#4854

CubeX2
    CubeX2

    Lapis Lazuli Collector

  • Members
  • 977 posts
  • Location: Germany

Posted 15 January 2013 - 02:39 PM

View Postwiiv, on 14 January 2013 - 10:45 PM, said:

I'm getting some errors with the "removeRecipe" function that were not happening in the previous version of CS2 (0.9.7). Can you look into this? Thanks.
Could you post the errors.

View PostFlamarow, on 15 January 2013 - 05:16 AM, said:

Bug Report: Apparently the addition of the .ini file has somehow broken the ability of CS2 to use zipped files for mods. The same mod that works normally when unzipped in a folder causes a crash when in a zip file. Here is the crash log from one of my test of this:
Spoiler:
Note that this happens regardless of if the config.ini file is included in the zip file.
0.9.8c fixes it.

I'm on twitter: @CubeX2_. Follow me for upcoming features and other stuff ;).

Posted Image


#4855

wiiv
    wiiv

    Gold Miner

  • Members
  • 376 posts

Posted 15 January 2013 - 04:29 PM

Here is the error:

Spoiler:

And here are the lines it refers to (because they all get the same error when I add the previous line):

mod.addAlias(298, "leathercap");
mod.addAlias(299, "leathertunic");
mod.addAlias(300, "leatherpants");
mod.addAlias(301, "leatherboots");

mod.addAlias(334, "leather");


119:mod.removeRecipe("leathercap", 3, 2, "leather", "leather", "leather", "leather", 0, "leather");
120:mod.removeRecipe("leathertunic", 3, 3, "leather", 0, "leather", "leather", "leather", "leather", "leather", "leather", "leather");
121:mod.removeRecipe("leatherpants", 3, 3, "leather", "leather", "leather", "leather", 0, "leather", "leather", 0, "leather");
122:mod.removeRecipe("leatherboots", 3, 2, "leather", 0, "leather", "leather", 0, "leather");

All this "removeRecipe" functions worked in 0.9.7.

Posted Image


#4856

CubeX2
    CubeX2

    Lapis Lazuli Collector

  • Members
  • 977 posts
  • Location: Germany

Posted 15 January 2013 - 06:16 PM

View Postwiiv, on 15 January 2013 - 04:29 PM, said:

Here is the error:

Spoiler:

And here are the lines it refers to (because they all get the same error when I add the previous line):

mod.addAlias(298, "leathercap");
mod.addAlias(299, "leathertunic");
mod.addAlias(300, "leatherpants");
mod.addAlias(301, "leatherboots");

mod.addAlias(334, "leather");


119:mod.removeRecipe("leathercap", 3, 2, "leather", "leather", "leather", "leather", 0, "leather");
120:mod.removeRecipe("leathertunic", 3, 3, "leather", 0, "leather", "leather", "leather", "leather", "leather", "leather", "leather");
121:mod.removeRecipe("leatherpants", 3, 3, "leather", "leather", "leather", "leather", 0, "leather", "leather", 0, "leather");
122:mod.removeRecipe("leatherboots", 3, 2, "leather", 0, "leather", "leather", 0, "leather");

All this "removeRecipe" functions worked in 0.9.7.
It should be fixed in 0.9.8d

I'm on twitter: @CubeX2_. Follow me for upcoming features and other stuff ;).

Posted Image


#4857

wiiv
    wiiv

    Gold Miner

  • Members
  • 376 posts

Posted 15 January 2013 - 06:30 PM

It is fixed! Thank you!

Posted Image


#4858

Aridhol
    Aridhol

    Iron Miner

  • Members
  • 289 posts
  • Minecraft: joshcantrell08

Posted 15 January 2013 - 07:23 PM

I am getting an error when using this on a server combined with Risugami's armorstand and Terrafirmacraft... I'm solely using the CustomStuff mod to change the recipe to allow the Armor Stand to be craftable with TFC materials... this is what I'm getting...

Spoiler:

actually, I appollogize, this error is not yours but Risugami's Armor Stand... I will figure it out :P Thanks

#4859

Nontys
    Nontys

    Tree Puncher

  • Members
  • 21 posts

Posted 15 January 2013 - 10:34 PM

Question

Should there be some sort of a difference in the code gui server and client ? or call code Gui should be only on the client?

I have bad internet and perhaps because it happens such an error? Some packages do not come in time. Weakness.

I have a problem with the block ID, CS number itself exposes ID block, not like written in scripts and events crash. Exsample have 206 ID, but CS place 4000+ ID to block, begin from 4095 and lower with next block. Example:
config.addBlockIdProperty("vanID", 203);
mod.addBlock("203.js", "crossTexture");

in block file:  
 id = config.getBlockId("vanID"); 
In config file and in game have ID 4092.

CS write in config file wrong ID's.
I'm edit ID config file, write right ID's and in game all ID's ok.



Bug Report

Use customStuff2_0.9.7 on Vanilla server 1.4.6. Patterns of occurrence of a bug not found. When using a crafting table grill of mod Russian folk snacks v3.1, sometimes client close and server console give this error:

Spoiler:


#4860

Smyll
    Smyll

    Tree Puncher

  • Members
  • 19 posts

Posted 16 January 2013 - 03:32 AM

How do I add a spoiler so I can post my crash report?